# eric4.Plugins.PluginWizardQInputDialog

Module implementing the QInputDialog wizard plugin.

### Global Attributes

author
autoactivate
className
deactivateable
error
longDescription
name
packageName
shortDescription
version

### Classes

InputDialogWizard | Class implementing the QInputDialog wizard plugin.

### Functions

None

## InputDialogWizard

Class implementing the QInputDialog wizard plugin.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

InputDialogWizard | Constructor
__callForm | Private method to display a dialog and get the code.
__handle | Private method to handle the wizards action
__initAction | Private method to initialize the action.
__initMenu | Private method to add the actions to the right menu.
activate | Public method to activate this plugin.
deactivate | Public method to deactivate this plugin.

### Static Methods

None

#### InputDialogWizard (Constructor)

InputDialogWizard(ui)

Constructor

ui
  reference to the user interface object (UI.UserInterface)

#### InputDialogWizard.__callForm

__callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

#### InputDialogWizard.__handle

__handle()

Private method to handle the wizards action

#### InputDialogWizard.__initAction

__initAction()

Private method to initialize the action.

#### InputDialogWizard.__initMenu

__initMenu()

Private method to add the actions to the right menu.

#### InputDialogWizard.activate

activate()

Public method to activate this plugin.

Returns:
  tuple of None and activation status (boolean)

#### InputDialogWizard.deactivate

deactivate()

Public method to deactivate this plugin.

Up